require 'redmine'
require 'dispatcher'

Dispatcher.to_prepare :redmine_list_duplicate_views do
	Mime::Type.register('application/vnd.ms-excel', :xls, %w(application/vnd.ms-excel)) unless defined? Mime::XLS
end

unless Redmine::Plugin.registered_plugins.keys.include?(:redmine_list_duplicate_views)
	Redmine::Plugin.register :redmine_list_duplicate_views do
	  name 'List duplicate views plugin'
	  author 'Vitaly Klimov'
	  author_url 'mailto:vitaly.klimov@snowbirdgames.com'
	  description 'List duplicate views plugin for Redmine'
	  version '0.0.3'

	  menu :admin_menu, :admin_menu_ldv_label, { :controller => 'list_duplicate_views', :action => 'index'}, :caption => :admin_menu_ldv_label

	end
end

